playMaker

Author Topic: Playmaker 1.7.8 Released - Unity 5 compatible  (Read 26893 times)

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #60 on: March 22, 2015, 11:06:13 AM »
Hi,

 I think the problem is elsewhere. Maybe you are setting valuesin a prefab and it doesn't persist because you've edited the instance or something?

 Can you describe what data exactly is getting lost? If you can create a new thread, that'll be great as well.


 Bye,

 Jean

mdotstrange

  • Hero Member
  • *****
  • Posts: 549
    • View Profile
    • Can't code? Who cares! Make games anyway!
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #61 on: March 25, 2015, 07:32:16 PM »
I just started with a fresh project with Unity 5.0.0f4 64bit on Windows 7 64 and the newest version of Playmaker 1.7.8.3  I'm having similar problems with actions resetting themselves-

I'll make a trigger event select the tag and send event- click away to another state or game object and come back and the action has reset itself where the tag and send event will be set to none- I'm having this happen with several actions both with prefabs and normal non-prefab game objects- have been using PM for over a year with 4.x and have never had these issues before- any ideas? thanks!
Indie game dev and instructor at the Strange School. Learn Playmaker at the Strange School!

zorranco

  • Playmaker Newbie
  • *
  • Posts: 44
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #62 on: March 29, 2015, 06:53:44 AM »
My problems now is PM for NGUI in Unity 5 does compiler errors because of deprecated function calls, although last version is 10 March...any plans on when will it be updated?

On the other hand, as pathfinding system is revamped in U5, PM pathfinding package found on wiki is obsolete too...

Sorry if this has been asked before, but I searched the forum to no avail.
« Last Edit: March 29, 2015, 06:55:46 AM by zorranco »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #63 on: March 30, 2015, 12:37:59 AM »
Hi,

 Just tested ngui and it works in Unity 5. Can you make a new post on this issue for ngui, I'll tackle it there.

Pathfinding. Yep, it's on its way.

 Bye,

 Jean

zorranco

  • Playmaker Newbie
  • *
  • Posts: 44
    • View Profile

Slater

  • Full Member
  • ***
  • Posts: 123
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #65 on: April 10, 2015, 07:26:52 AM »
Hi,

Having some problems here.

1. How do I make sure now that I have latest Playmaker installed. I think I have installed the latest, but it still keeps saying that it is version 1.7.7.f6 installed.

2. Have some problems with set/get property on iOS/iPad that wasn't a problem before. It works when I play the scene in Unity still, but not on the iPad. For instance now I have a FSM that increase fontsize. I use set property/fontsize but it doesn't work anymore on iPad. I haven't found a separate action for it either so I can't really change it out from being a "set property" action.

Also had the same problem with set property/orthographic size but found an action for it on the forum that I could make use of and get to work instead.

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3207
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #66 on: April 10, 2015, 09:38:14 AM »
If you have the latest version the About window should say 1.7.8.3

Slater

  • Full Member
  • ***
  • Posts: 123
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #67 on: April 10, 2015, 05:32:03 PM »
Finally got it right with the update and am running the latest version now.

I am still however having problem with the "Set Property" for the component gui text/font size on the iPad.

What can I do about this? Can you recreate the problem on your end?

HuGo

  • Playmaker Newbie
  • *
  • Posts: 4
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #68 on: May 27, 2015, 07:05:45 AM »
Long time I didn't try using Playmaker so sorry if my report is wrong.

When you try to set a Watermark inside an FSM using Unity 5 I got this error log :
Quote
Missing Watermarks directory: Assets/Plugins/PlayMaker\Editor/Watermarks/

This feature look in the wrong directory!
Hope you're not planning to move resources in the plugin folder (I like to keep root folders clean ;D).

This doesn't happen in Unity 4  ;)

The URL look kinda broken too (\...\.../). I remember this could affect Linux OS developed applications but not sure about the Unity editor.

By the way, do you recommend using Unity 5 for a starting production with this version of Playmaker (+ the last NGUI add-on) ?

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #69 on: May 28, 2015, 12:45:02 AM »
Hi,

 Can you file a bug report on this ( if not already?) thanks :) It's in the PlayMaker menu ("tools/Submit Bug Report")

PlayMaker is compatible with Unity 5, officialy, so yes you can work with them. Unity 5 is still "new", so it's to be expected that some api and behavior may change and break projects. It's like that for every big system. With Unity 4, it's a lot more solid on that front, but will never evolved, so It's recommanded that a new project is started straight away with Unity 5.

 The big "issue" being upgrading a Unity 4 project to Unity 5. That is a headache and requires refactoring here and there ( with or without PlayMaker).

 Bye,

 Jean